Skip to main content
GET
/
2025-10
/
marketing-solutions
/
product-sets
/
{product-set-id}
/2025-10/marketing-solutions/product-sets/{product-set-id}
curl --request GET \
  --url https://api.criteo.com/2025-10/marketing-solutions/product-sets/{product-set-id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "creationDate": "<string>",
      "datasetId": "<string>",
      "keepVariantProducts": true,
      "minimumNumberOfProducts": 123,
      "name": "<string>",
      "numberOfProducts": 123,
      "rules": [
        {
          "values": [
            "<string>"
          ]
        }
      ],
      "id": "<string>",
      "isFallbackAllowed": true
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

product-set-id
string
required

ID of the product set

Response

200 - application/json

Product set fetched successfully

A class implementing the response of the Criteo API as described in API Guild Guidelines with a single entity as body

data
object

A class that represents an entity in a guild compliant way

errors
object[] | null
read-only
warnings
object[] | null
read-only